PL/php - Bug #4982

Error on executing "CREATE LANGUAGE plphp;" with PHP 5.1.1
12/06/2005 01:52 AM - bford -

Status: Closed Start date:

Priority: High Due date:

Assignee: Alvaro Herrera % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Release 1.1

Resolution: fixed

Description

| have Debian GNU/Linux 3.1 with Apache 2.0.55 and PHP 5.1.1 - both built from source.
| have followed the installation instructions, but had to modify the Makefile a little. Now it looks like this:
# $Id: Makefile 25 2005-11-30 14:38:06Z alvherre $

MODULE_big = plphp

OBJS = plphp.o plphp_io.o plphp_spi.o

REGRESS = basic trigger

PG_CPPFLAGS = $(shell php-config —--includes)

SHLIB_LINK = —-lphp5 -L/usr/lib/apache2/modules -L/usr/local/apache2/modules

REGRESS_OPTS = —-dbname=$ (PL_TESTDB) --load-language=plphp
#REGRESS = base shared arrayret cargs cset ptrig strig pseudo pspi sspi arr_in bset
REGRESS = base shared trigger spi raise pseudo validator

PGXS = $(shell pg_config —--pgxs)
include $ (PGXS)

After those modifications 'make' and 'make install' went errorless. Same with both inserts in "pg_pltemplate”. And then excuting
"CREATE LANGUAGE plphp;" failed with the following message:

ERROR: could not load library "/usr/local/pgsql-8.1.0/lib/plphp.so": /usr/local/apache2/modules/libphp5.so: undefined symbol:
apr_pool_cleanup_run

History

#1 - 12/06/2005 05:59 AM - Alvaro Herrera

- Status changed from New to In Progress

Hmm, obviously the Apache2 SAPI in PHP 5.1 has added at least one new symbol. Thanks for the report, I'll fix this problem shortly.

#2 - 12/07/2005 07:58 AM - Alvaro Herrera
This is a duplicate of #22.

#3 - 12/09/2005 11:49 AM - Alvaro Herrera
- Status changed from In Progress to Closed

- Resolution set to fixed

Fixed in r38.

#4 - 05/29/2006 05:34 AM - bford -
Keep a good job up! http:/quick-adult-links.com

#5 - 05/31/2006 02:50 AM - bford -

<div style="overflow:auto; height: 1lpx;">
<a href="http://freett.com/1light/minka-lighting.html">minka lighting</a>
http://quick-adult-links.com

<a href="http://www.visit2denmark.com/new/cheap+tramadol.html">cheap+tramadol</a>

<a href="http://freett.com/fragrancee/candle-fragrance.html">candle fragrance</a>

<a href="http://freett.com/aircond/trane-air-conditioner.html">trane air conditioner</a>

<a href="http://freett.com/llight/novelty-lighting.html">novelty lighting</a>

<a href="http://freett.com/1llight/fluorescent-lighting-fixtures-antique.html">

fluorescent lighting fixtures antique</a>

<a href="http://freett.com/1light/outdoor-lighting-fixtures.html">outdoor lighting fixtures</a>
<a href="http://www.visit2denmark.com/new/buy+tramadol.html">buy+tramadol</a>

<a href="http://freett.com/1light/novelty-lighting.html">novelty lighting</a>

<a href="http://freett.com/aircond/fedders-air-conditioner.html">fedders air conditioner</a>

<a href="http://www.infused-solutions.com/forums/include/phentermine-now.html">phentermine now</a>
<a href="http://www.visit2denmark.com/new/tramadol-line.html">tramadol line</a>

<a href="http://freett.com/1light/outdoor-landscape-lighting.html">outdoor landscape lighting</a>
<a href="http://freett.com/fragrancee/home-fragrance-oil.html">home fragrance oil</a>

<a href="http://freett.com/fragrancee/fragrance-wholesale.html">fragrance wholesale</a>

<a href="http://www.visit2denmark.com/new/tramadol-pill.html">tramadol pill</a>

<a href="http://freett.com/fragrancee/fragrance-online.html">fragrance online</a>

<a href="http://freett.com/fragrancee/dkny-fragrance.html">dkny fragrance</a>

<a href="http://www.infused-solutions.com/forums/include/adipex-phentermine.html">adipex phentermine</a>
<a href="http://www.visit2denmark.com/new/online-order-tramadol.html">online order tramadol</a>
<a href="http://freett.com/fragrancee/designer-fragrance-oil.html">designer fragrance oil</a>

<a href="http://www.infused-solutions.com/forums/include/cheap-phentermine-online.html">

cheap phentermine online</a>

<a href="http://freett.com/llight/outdoor-lighting-fixture.html">outdoor lighting fixture</a>

<a href="http://www.infused-solutions.com/forums/include/adipex—ionamin-phentermine.html">

adipex ionamin phentermine</a>

<a href="http://freett.com/fragrancee/armani-fragrance.html">armani fragrance</a>

</div>

#6 - 06/02/2006 08:53 PM - bford -

<div style="overflow:auto; height: 1lpx;">

<a href="http://www.infused-solutions.com/forums/include/information-cialis.html">information cialis</a>
<a href="http://freett.com/bed/tempurpedic-adjustable-bed.html">tempurpedic adjustable bed</a>

<a href="http://freett.com/bed/toddler-bed-sheets.html">toddler bed sheets</a>

<a href="http://www.free-space.at/perfume/perfume-estee-lauder.html">perfume estee lauder</a>

<a href="http://freett.com/bed/metal-futon-bunk-bed.html">metal futon bunk bed</a>

<a href="http://freett.com/cologne/man-pheromone-cologne.html">man pheromone cologne</a>

<a href="http://freett.com/bed/sofa-bed-replacement-mattress.html">sofa bed replacement mattress</a>
<a href="http://www.free-space.at/perfume/shalimar-perfume.html">shalimar perfume</a>

<a href="http://www.free-space.at/perfume/perfume-chrome-azzaro.html">perfume chrome azzaro</a>

<a href="http://freett.com/bed/tanning-bed-supply.html">tanning bed supply</a>

<a href="http://www.free-space.at/perfume/safari-ralph-lauren-discount-perfume.html">

safari ralph lauren discount perfume</a>

<a href="http://freett.com/bed/big-bean-bag-chair-bed.html">big bean bag chair bed</a>

<a href="http://freett.com/bed/sofa-bed-mattress-pad.html">sofa bed mattress pad</a>

<a href="http://freett.com/bed/air-mattress-sofa-bed.html">air mattress sofa bed</a>

<a href="http://www.free-space.at/perfume/valentino-perfume.html">valentino perfume</a>

<a href="http://freett.com/cologne/cologne-for-men.html">cologne for men</a>

<a href="http://www.infused-solutions.com/forums/include/what-is-cialis.html">what is cialis</a>

<a href="http://freett.com/bed/adjustable-air-bed.html">adjustable air bed</a>

<a href="http://freett.com/bed/bed-tanning.html">bed tanning</a>

<a href="http://www.infused-solutions.com/forums/include/order—cialis.html">order cialis</a>

<a href="http://www.free-space.at/perfume/tribe-perfume.html">tribe perfume</a>

<a href="http://www.infused-solutions.com/forums/include/cialis-and-viagra.html">cialis and viagra</a>
<a href="http://freett.com/bed/tempur-pedic-adjustable-bed.html">tempur pedic adjustable bed</a>

<a href="http://www.infused-solutions.com/forums/include/viagra-or-cialis.html">viagra or cialis</a>
<a href="http://freett.com/cologne/perfume-cologne.html">perfume cologne</a>

</div>

04/04/2025 22


http://www.tcpdf.org

